config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/UPower/UPower.conf.new
config usr/share/polkit-1/rules.d/10-enable-upower-suspend.rules.new
( cd usr/lib64 ; rm -rf libupower-glib.so )
( cd usr/lib64 ; ln -sf libupower-glib.so.3 libupower-glib.so )
( cd usr/lib64 ; rm -rf libupower-glib.so.3 )
( cd usr/lib64 ; ln -sf libupower-glib.so.3.1.0 libupower-glib.so.3 )
